<template>
  <div :class="'col-'+cardSize">
    <div class="card">
      <img :src="getImg(news)" :alt="news.title" class="card-img-top">
      <div class="card-body">
        <div class="card-title">{{ news.title }}</div>
        <div class="card-text">{{ news.desc }}</div>
      </div>
      <div class="card-footer">
        <router-link :to="{name: routName, params: { id: news.id }}" class="card-link">more</router-link>
      </div>
    </div>

  </div>
</template>

<script>
  import defImg from '../assets/js/mixin_defaultImg'

  export default {
    name: "NewsCard",
    mixins: [ defImg ],
    props: {
      news: {
        type: Object,
        required: true
      },
      routName: {
        type: String,
        default: 'single-news'
      },
      cardSize: {
        type: Number,
        default: 4
      }
    }
  }
</script>

<style lang="sass">

</style>